##
clc()
clf()
clear all
##
load plexi_1.txt;
x = plexi_1(:,1);
y = plexi_1(:,2);
	## filtracia FFT
a1 = fftshift(fft(y));
a = fft(fftshift(y));
a1(1:500) = 0;
a1(545:1024) = 0;
y_f1 = real(ifft(fftshift(a1)));
y_f = abs(fftshift(a));
[miny, minxy] = min(y_f1);
[maxy, maxxy] = max(y_f1);
	## konstanty
step = 208;
gamma = 2.67523e08;
h_tr = 1.054e-34;
	## vypocty parametrov spektra
u0 = 4*pi*1e-7;
deltaf = (step*(maxxy - minxy));
deltaw = 2*pi*deltaf;
deltaB = deltaw/gamma;
	## grafika
plot(x,y,'-r',x,y_f1,'-b');
box('on')
grid('on')
	## vypis vysledkov
text(50,2700,['Delta_B = ' num2str(deltaB*10000) ' G'],'fontsize',14,'rotation',0,'color','k');
text(50,2500,['Delta_f = ' num2str(deltaf) ' Hz'],'fontsize',14,'rotation',0,'color','k');
	## ulozenie grafu do suboru
disp(['Vzdialenost pikov delta_B = ' num2str(deltaB*10000) ' G'])
print('plexi_fft_1.pdf','-dpdf')