RGraphGallery <- function(
index,  # which graph of the gallery
width,  # width of the plot
height  # height of the plot
){
x11(width=width,height=height)
source(paste("http://addictedtor.free.fr/",
             "graphiques/sources/source_",
	     index,".R",sep=""))
}

makeGallery <- function(
index,  # which graph of the gallery
width,  # width of the plot
height, # height of the plot
who=1,  # authorid of the graph
){

png(paste("graphiques/graph_",index,".png",sep=""),
    width=width,
    height=height)
source(paste("sources/source_",index,".R",sep=""))
dev.off()
highlightGallery(index)

cat("")

}
highlightGallery <- function(index){

system(paste("highlight -i sources/source_",index,".R ",
             "-o highlight/high_",index,".html",sep=""))

html  <-  paste("highlight/high_",index,".html",sep="")
tmp   <- readLines(html)
debut <- grep("<body" ,tmp)+1
fin   <- grep("</body",tmp)-1
sink(html)
for(i in debut:fin) cat(tmp[i],"\n")
sink()
}