##
library(akima)
#
rm(list=ls(all=TRUE))
# rm(list=ls())
#
graphics.off()
#
data <- read.table("pgr.txt", header=T)
attach(data)
names(data)
zz <- interp(hay, pH, FR)
X11()
##
image(zz, col=topo.colors(12), xlab="biomass", ylab="pH")
contour(zz, add=T)

dev.print(pdf, file = "pokus-3d-graf-3a.pdf")
dev.print(postscript, encoding="ISOLatin1.enc", file = "pokus-3d-graf-3a.eps")

X11()
##
filled.contour(zz, col=topo.colors(10), , xlab="biomass", ylab="pH")
persp(zz, xlab="biomass", ylab="pH", zlab="Festuca rubra",
theta=35, phi=30, col="lightblue", shade=.5, ltheta=-40, lphi=-20)

dev.print(pdf, file = "pokus-3d-graf-3b.pdf")
dev.print(postscript, encoding="ISOLatin1.enc", file = "pokus-3d-graf-3b.eps")
