library(lattice)
#
rm(list=ls(all=TRUE))
# rm(list=ls())
n <- 50
tx <- matrix(seq(-pi,pi, len=2*n), 2*n, n)
ty <- matrix(seq(-pi,pi, len=n)/2, 2*n, n, byrow=T)
xx <- cos(tx)*cos(ty)
yy <- sin(tx)*cos(ty)
zz <- sin(ty)
zzz <- zz
zzz[, 1:12 * 4]<-NA
wireframe(zzz ~ xx * yy, shade=TRUE, ligh.source=c(3,3,3))

dev.print(pdf, file = "pokus-3d-graf.pdf")
dev.print(postscript, encoding="ISOLatin1.enc", file = "pokus-3d-graf.eps")
