#
e <- rnorm(200)
x <- runif(200)
y <- sin(2*pi*(1-x)^2)+x*e
##
plot(x,y)
sx <- sort(x)
fx <- sin(2*pi*(1-sx)^2)
lines(sx,fx,col="red")
lines(smooth.spline(sx,fx,df=6),col="green",lty=2)
lines(supsmu(sx,fx),col="blue",lty=3)
lines(ksmooth(sx,fx),col="orange",lty=4)
lines(loess.smooth(sx,fx),col="#A900A9",lty=5)
#legend(0,2,legend=("perfect","smooth.spline"),lty=1:3)
#legend("bottomleft", "(x,y)", pch=1, title="bottomright")
legend(0.3,-0.4, c("perfect","smooth.spline","supsmu","ksmooth","loess"),lty=1:5, title="LEGEND",bg="gray95")
dev.print(pdf, file="/home/spolocne/Vzory/R/splajn/smoothsplines.pdf", family="Times")

