##
rm(list=ls(all=TRUE))

#rm(list=ls())
#range <- seq <- c(-3, 3, by=0.1)

range <- seq(-3, 3, by=0.1)
rand.1 <- dnorm(range, 0, 1)
rand.2 <- dnorm(range, 0, .5)
mesh <- outer(rand.1, rand.2, function(x,y) x*y)

par(bg = "white",mar=c(.5,.5,2.5,.5)) ## "lightblue"

persp(range, range, mesh, phi=20, theta=60, expand=0.8, xlab="N(0,1)",
ylab="N(0,0.5)", zlab="PDF", main="Bivariate normal distribution", col="orange",
scale=T, axes=T)
#
dev.print(pdf, file = "3Dplot.pdf")
dev.print(postscript, file = "3Dplot.eps")
