##
rm(list=ls(all=TRUE))

#rm(list=ls())
#range <- seq <- c(-3, 3, by=0.1)

x <- seq(-10, 10, by=0.3)
y <- seq(-10, 10, by=0.3)

mesh <- outer(x, y, function(x,y) sin(sqrt(x^2+y^2))/sqrt(x^2+y^2))

par(bg = "white", mar=c(1.5,2.5,4.5,1.5)) ## "lightblue"

persp(x, y, mesh, phi=20, theta=-30, expand=0.6, xlab="x",
ylab="y", zlab="f(x,y)", main=expression(paste("SOMBRERO,   ",
f(x,y)==frac(sin(sqrt(x^2+y^2)),sqrt(x^2+y^2)))), sub="", col="yellow", scale=T,
axes=T, box=T, shade=0.3, lphi=-10, ltheta=90, nticks=8, ticktype="detailed",
cex.main=1.5, font=2, family="")
# simple
#
dev.print(pdf, file = "surface-sombrero.pdf")
dev.print(postscript, encoding="ISOLatin1.enc", file = "surface-sombrero.eps")
