library(lattice)
#
rm(list=ls(all=TRUE))
# rm(list=ls())
graphics.off()

x <- seq(-0.1, 10, 0.1)
y <- seq(-0.1, 10, 0.1)
func <- function(x,y) 3*x*exp(0.1*x)*sin(y*exp(-0.5*x))

X11()
image(x ,y, outer(x, y, func))
contour(x ,y, outer(x, y, func), add=T)

dev.print(pdf, file = "pokus-3d-graf-2a.pdf")
dev.print(postscript, encoding="ISOLatin1.enc", file = "pokus-3d-graf-2a.eps")

X11()
contourplot(outer(x, y, func), at=seq(floor(min(x)/8)*10,
ceiling(max(x)/8)*10, by=1), main="Contour plot (b)", sub="contour interval 1m",
region=T, col.regions=terrain.colors(100))

dev.print(pdf, file = "pokus-3d-graf-2b.pdf")
dev.print(postscript, encoding="ISOLatin1.enc", file = "pokus-3d-graf-2b.eps")

#wireframe(volcano, shade=TRUE, aspect=(61/87, 0.4), screen=list(z=-120, x=-45),
#light.source=c(0, 0, 10), distance=0.2, shade.color=function(irr, ref,
#height, w=0.5) grey(w*irr+(1-w)*(1-(1-ref)^0.4)))
