##
library(lattice)
data(iris)
str(iris)
attach(iris)
#
rm(list=ls(all=TRUE))
#
par(mfrow=c(2,2))
pl1 <- plot(Petal.Length, Petal.Width, pch=20)
pl2 <- plot(Petal.Width~Petal.Length, pch=20, col="red")
pl3 <- cloud(Sepal.Length~Petal.Length*Petal.Width, groups=Species, data=iris,
pch=20, screen=list(z=20, x=-60))
print(pl1, split=c(1,1,2,2), more=T)
print(pl2, split=c(2,1,2,2), more=T)
print(pl3, split=c(1,2,2,2), more=T)
#print(pl4, split=c(2,2,2,2), more=T)
dev.print(pdf, file = "scatter-3D.pdf", family="Helvetica")
