#
# Find the Least Squares Fit
# The least squares estimate of *b* in the model y = X b + e is found.
#
## Uloha E6
dataset <- read.table("/home/spolocne/Vzory/R/linreg/e6.dat", header=TRUE, sep="", na.strings="NA", dec=".", strip.white=TRUE)
x <- dataset$x; y <- dataset$y
e6fit <- lsfit(x,y,wt=NULL, intercept=TRUE, tolerance=1e-07, yname=NULL)
pe6 <- coef(e6fit) 
pe6
summary(e6fit)
plot(x,y,xlim=c(0,100),ylim=c(80,150))
xfit <- seq(0,100,0.01)
yfitl <- pe6[1] + pe6[2] * xfit 
lines(xfit, yfitl, col=2)
dev.print(pdf,file = "/home/spolocne/Vzory/R/linreg/e6lsfit.pdf", family="Courier") 



