#
e <- rnorm(200)
x <- runif(200)
y <- sin(2*pi*(1-x)^2)+x*e
par(mfrow=c(3,1))
#
# (3,1)
plot(x,y)
sx <- sort(x)
fx <- sin(2*pi*(1-sx)^2)
lines(sx,fx,col=1)
lines(smooth.spline(sx,fx,df=6),col=2,lty=2)
lines(supsmu(sx,fx),col=3,lty=3)
lines(ksmooth(sx,fx),col=4,lty=4)
lines(loess.smooth(sx,fx),col=5,lty=5) # col="#A900A9"
#legend(0,2,legend=("perfect","smooth.spline"),lty=1:3)
#legend("bottomleft", "(x,y)", pch=1, title="bottomright")
legend("bottom",
c("perfect","smooth.spline","supsmu","ksmooth","loess"),lty=1:5, col=1:5,
title="LEGEND",bg="gray95")
#summary(y)
#stem(y)
#hist(y)
#lines(density(y,bw=0.0002))
#rug(y)
#library(stepfun)
#
# (2,1)
plot(ecdf(y), do.points=FALSE, verticals=TRUE)
#
# (3,1)
x <- seq(-2, 2, 0.01)
lines(x, pnorm(x, mean=mean(y), sd=sqrt(var(y))),lty=3,col="red")
qqnorm(y)
qqline(y, col="red")
dev.print(pdf, file="smoothsplines1.pdf",
family="Times")
